CVE-2022-31047

Insertion of Sensitive Information into Log File in packagist/typo3/cms-core

Identifiers

GHSA-fh99-4pgr-8j99, CVE-2022-31047

Package Slug

packagist/typo3/cms-core

Vulnerability

Insertion of Sensitive Information into Log File

Description

TYPO3 is an open source web content management system. Prior to versions 7.6.57 ELTS, 8.7.47 ELTS, 9.5.34 ELTS, 10.4.29, and 11.5.11, system internal credentials or keys (e.g. database credentials) can be logged as plaintext in exception handlers, when logging the complete exception stack trace. TYPO3 versions 7.6.57 ELTS, 8.7.47 ELTS, 9.5.34 ELTS, 10.4.29, 11.5.11 contain a fix for the problem.

Affected Versions

All versions starting from 7.0.0 before 7.6.57, all versions starting from 8.0.0 before 8.7.47, all versions starting from 9.0.0 before 9.5.35, all versions starting from 10.0.0 before 10.4.29, all versions starting from 11.0.0 before 11.5.11

Solution

Upgrade to versions 7.6.57, 8.7.47, 9.5.35, 10.4.29, 11.5.11 or above.

Last Modified

2022-06-19

source